VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT:
[legend]

## Public Member Functions

DebugUtilsMessengerCallbackDataEXT (DebugUtilsMessengerCallbackDataFlagsEXT flags_=DebugUtilsMessengerCallbackDataFlagsEXT(), const char *pMessageIdName_=nullptr, int32_t messageIdNumber_=0, const char *pMessage_=nullptr, uint32_t queueLabelCount_=0, DebugUtilsLabelEXT *pQueueLabels_=nullptr, uint32_t cmdBufLabelCount_=0, DebugUtilsLabelEXT *pCmdBufLabels_=nullptr, uint32_t objectCount_=0, DebugUtilsObjectNameInfoEXT *pObjects_=nullptr)

| DebugUtilsMessengerCallbackDataEXT (VkDebugUtilsMessengerCallbackDataEXT const &rhs)
DebugUtilsMessengerCallbackDataEXT & | operator= (VkDebugUtilsMessengerCallbackDataEXT const &rhs)
DebugUtilsMessengerCallbackDataEXT & | setPNext (const void *pNext_)
DebugUtilsMessengerCallbackDataEXT & | setFlags (DebugUtilsMessengerCallbackDataFlagsEXT flags_)
DebugUtilsMessengerCallbackDataEXT & | setPMessageIdName (const char *pMessageIdName_)
DebugUtilsMessengerCallbackDataEXT & | setMessageIdNumber (int32_t messageIdNumber_)
DebugUtilsMessengerCallbackDataEXT & | setPMessage (const char *pMessage_)
DebugUtilsMessengerCallbackDataEXT & | setQueueLabelCount (uint32_t queueLabelCount_)
DebugUtilsMessengerCallbackDataEXT & | setPQueueLabels (DebugUtilsLabelEXT *pQueueLabels_)
DebugUtilsMessengerCallbackDataEXT & | setCmdBufLabelCount (uint32_t cmdBufLabelCount_)
DebugUtilsMessengerCallbackDataEXT & | setPCmdBufLabels (DebugUtilsLabelEXT *pCmdBufLabels_)
DebugUtilsMessengerCallbackDataEXT & | setObjectCount (uint32_t objectCount_)
DebugUtilsMessengerCallbackDataEXT & | setPObjects (DebugUtilsObjectNameInfoEXT *pObjects_)
| operator VkDebugUtilsMessengerCallbackDataEXT const & () const
| operator VkDebugUtilsMessengerCallbackDataEXT & ()
bool | operator== (DebugUtilsMessengerCallbackDataEXT const &rhs) const
bool | operator!= (DebugUtilsMessengerCallbackDataEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
DebugUtilsMessengerCallbackDataFlagsEXT | flags
const char * | pMessageIdName
int32_t | messageIdNumber
const char * | pMessage
uint32_t | queueLabelCount
DebugUtilsLabelEXT * | pQueueLabels
uint32_t | cmdBufLabelCount
DebugUtilsLabelEXT * | pCmdBufLabels
uint32_t | objectCount
DebugUtilsObjectNameInfoEXT * | pObjects

## Private Attributes

StructureType | sType = StructureType::eDebugUtilsMessengerCallbackDataEXT

## Detailed Description

Definition at line 21754 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugUtilsMessengerCallbackDataEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::DebugUtilsMessengerCallbackDataEXT | ( | DebugUtilsMessengerCallbackDataFlagsEXT | flags_ = `DebugUtilsMessengerCallbackDataFlagsEXT()`,
|  | const char * | pMessageIdName_ = `nullptr`,
|  | int32_t | messageIdNumber_ = `0`,
|  | const char * | pMessage_ = `nullptr`,
|  | uint32_t | queueLabelCount_ = `0`,
|  | DebugUtilsLabelEXT * | pQueueLabels_ = `nullptr`,
|  | uint32_t | cmdBufLabelCount_ = `0`,
|  | DebugUtilsLabelEXT * | pCmdBufLabels_ = `nullptr`,
|  | uint32_t | objectCount_ = `0`,
|  | DebugUtilsObjectNameInfoEXT * | pObjects_ = `nullptr`
| ) |  |

inline

Definition at line 21756 of file vulkan.hpp.

: flags( flags_ )
, pMessageIdName( pMessageIdName_ )
, messageIdNumber( messageIdNumber_ )
, pMessage( pMessage_ )
, queueLabelCount( queueLabelCount_ )
, pQueueLabels( pQueueLabels_ )
, cmdBufLabelCount( cmdBufLabelCount_ )
, pCmdBufLabels( pCmdBufLabels_ )
, objectCount( objectCount_ )
, pObjects( pObjects_ )
{
}

## DebugUtilsMessengerCallbackDataEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::DebugUtilsMessengerCallbackDataEXT | ( | VkDebugUtilsMessengerCallbackDataEXT const & | rhs | ) |

inline

Definition at line 21779 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsMessengerCallbackDataEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugUtilsMessengerCallbackDataEXT &()

VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator VkDebugUtilsMessengerCallbackDataEXT & | ( |  | ) |

inline

Definition at line 21860 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugUtilsMessengerCallbackDataEXT*>(this);
}

## operator VkDebugUtilsMessengerCallbackDataEXT const &()

VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator VkDebugUtilsMessengerCallbackDataEXT const & | ( |  | ) | const

inline

Definition at line 21855 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugUtilsMessengerCallbackDataEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator!= | ( | DebugUtilsMessengerCallbackDataEXT const & | rhs | ) | const

inline

Definition at line 21881 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator= | ( | VkDebugUtilsMessengerCallbackDataEXT const & | rhs | ) |

inline

Definition at line 21784 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsMessengerCallbackDataEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator== | ( | DebugUtilsMessengerCallbackDataEXT const & | rhs | ) | const

inline

Definition at line 21865 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( pMessageIdName == rhs.pMessageIdName )
&& ( messageIdNumber == rhs.messageIdNumber )
&& ( pMessage == rhs.pMessage )
&& ( queueLabelCount == rhs.queueLabelCount )
&& ( pQueueLabels == rhs.pQueueLabels )
&& ( cmdBufLabelCount == rhs.cmdBufLabelCount )
&& ( pCmdBufLabels == rhs.pCmdBufLabels )
&& ( objectCount == rhs.objectCount )
&& ( pObjects == rhs.pObjects );
}

References cmdBufLabelCount, flags, messageIdNumber, objectCount, pCmdBufLabels, pMessage, pMessageIdName, pNext, pObjects, pQueueLabels, queueLabelCount, and sType.

Referenced by operator!=().

## setCmdBufLabelCount()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setCmdBufLabelCount | ( | uint32_t | cmdBufLabelCount_ | ) |

inline

Definition at line 21831 of file vulkan.hpp.

{
cmdBufLabelCount = cmdBufLabelCount_;
return *this;
}

References cmdBufLabelCount.

## setFlags()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setFlags | ( | DebugUtilsMessengerCallbackDataFlagsEXT | flags_ | ) |

inline

Definition at line 21795 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setMessageIdNumber()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setMessageIdNumber | ( | int32_t | messageIdNumber_ | ) |

inline

Definition at line 21807 of file vulkan.hpp.

{
messageIdNumber = messageIdNumber_;
return *this;
}

References messageIdNumber.

## setObjectCount()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setObjectCount | ( | uint32_t | objectCount_ | ) |

inline

Definition at line 21843 of file vulkan.hpp.

{
objectCount = objectCount_;
return *this;
}

References objectCount.

## setPCmdBufLabels()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPCmdBufLabels | ( | DebugUtilsLabelEXT * | pCmdBufLabels_ | ) |

inline

Definition at line 21837 of file vulkan.hpp.

{
pCmdBufLabels = pCmdBufLabels_;
return *this;
}

References pCmdBufLabels.

## setPMessage()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPMessage | ( | const char * | pMessage_ | ) |

inline

Definition at line 21813 of file vulkan.hpp.

{
pMessage = pMessage_;
return *this;
}

References pMessage.

## setPMessageIdName()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPMessageIdName | ( | const char * | pMessageIdName_ | ) |

inline

Definition at line 21801 of file vulkan.hpp.

{
pMessageIdName = pMessageIdName_;
return *this;
}

References pMessageIdName.

## setPNext()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21789 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPObjects()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPObjects | ( | DebugUtilsObjectNameInfoEXT * | pObjects_ | ) |

inline

Definition at line 21849 of file vulkan.hpp.

{
pObjects = pObjects_;
return *this;
}

References pObjects.

## setPQueueLabels()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setPQueueLabels | ( | DebugUtilsLabelEXT * | pQueueLabels_ | ) |

inline

Definition at line 21825 of file vulkan.hpp.

{
pQueueLabels = pQueueLabels_;
return *this;
}

References pQueueLabels.

## setQueueLabelCount()

DebugUtilsMessengerCallbackDataEXT& VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::setQueueLabelCount | ( | uint32_t | queueLabelCount_ | ) |

inline

Definition at line 21819 of file vulkan.hpp.

{
queueLabelCount = queueLabelCount_;
return *this;
}

References queueLabelCount.

## Field Documentation

## cmdBufLabelCount

uint32_t VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::cmdBufLabelCount

Definition at line 21897 of file vulkan.hpp.

Referenced by operator==(), and setCmdBufLabelCount().

## flags

DebugUtilsMessengerCallbackDataFlagsEXT VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::flags

Definition at line 21891 of file vulkan.hpp.

Referenced by operator==().

## messageIdNumber

int32_t VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::messageIdNumber

Definition at line 21893 of file vulkan.hpp.

Referenced by operator==(), and setMessageIdNumber().

## objectCount

uint32_t VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::objectCount

Definition at line 21899 of file vulkan.hpp.

Referenced by operator==(), and setObjectCount().

## pCmdBufLabels

DebugUtilsLabelEXT* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pCmdBufLabels

Definition at line 21898 of file vulkan.hpp.

Referenced by operator==(), and setPCmdBufLabels().

## pMessage

const char* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pMessage

Definition at line 21894 of file vulkan.hpp.

Referenced by operator==(), and setPMessage().

## pMessageIdName

const char* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pMessageIdName

Definition at line 21892 of file vulkan.hpp.

Referenced by operator==(), and setPMessageIdName().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pNext = nullptr

Definition at line 21890 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pObjects

DebugUtilsObjectNameInfoEXT* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pObjects

Definition at line 21900 of file vulkan.hpp.

Referenced by operator==(), and setPObjects().

## pQueueLabels

DebugUtilsLabelEXT* VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pQueueLabels

Definition at line 21896 of file vulkan.hpp.

Referenced by operator==(), and setPQueueLabels().

## queueLabelCount

uint32_t VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::queueLabelCount

Definition at line 21895 of file vulkan.hpp.

Referenced by operator==(), and setQueueLabelCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::sType = StructureType::eDebugUtilsMessengerCallbackDataEXT

private

Definition at line 21887 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::operator==
bool operator==(DebugUtilsMessengerCallbackDataEXT const &rhs) const
Definition: vulkan.hpp:21865
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::queueLabelCount
uint32_t queueLabelCount
Definition: vulkan.hpp:21895
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::DebugUtilsMessengerCallbackDataEXT
DebugUtilsMessengerCallbackDataEXT(DebugUtilsMessengerCallbackDataFlagsEXT flags_=DebugUtilsMessengerCallbackDataFlagsEXT(), const char *pMessageIdName_=nullptr, int32_t messageIdNumber_=0, const char *pMessage_=nullptr, uint32_t queueLabelCount_=0, DebugUtilsLabelEXT *pQueueLabels_=nullptr, uint32_t cmdBufLabelCount_=0, DebugUtilsLabelEXT *pCmdBufLabels_=nullptr, uint32_t objectCount_=0, DebugUtilsObjectNameInfoEXT *pObjects_=nullptr)
Definition: vulkan.hpp:21756
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::messageIdNumber
int32_t messageIdNumber
Definition: vulkan.hpp:21893
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pObjects
DebugUtilsObjectNameInfoEXT * pObjects
Definition: vulkan.hpp:21900
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pNext
const void * pNext
Definition: vulkan.hpp:21890
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::flags
DebugUtilsMessengerCallbackDataFlagsEXT flags
Definition: vulkan.hpp:21891
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pQueueLabels
DebugUtilsLabelEXT * pQueueLabels
Definition: vulkan.hpp:21896
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pCmdBufLabels
DebugUtilsLabelEXT * pCmdBufLabels
Definition: vulkan.hpp:21898
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::objectCount
uint32_t objectCount
Definition: vulkan.hpp:21899
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VkDebugUtilsMessengerCallbackDataEXT
Definition: vulkan_core.h:7441
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pMessage
const char * pMessage
Definition: vulkan.hpp:21894
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::pMessageIdName
const char * pMessageIdName
Definition: vulkan.hpp:21892
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::cmdBufLabelCount
uint32_t cmdBufLabelCount
Definition: vulkan.hpp:21897
VULKAN_HPP_NAMESPACE::DebugUtilsMessengerCallbackDataEXT::sType
StructureType sType
Definition: vulkan.hpp:21887